using System;
using System.Windows.Threading;

internal sealed class Delegate37 : MulticastDelegate
{
	public extern DispatcherOperation Invoke(object object_0, Action action_0);

	public static DispatcherOperation smethod_0(object object_0, Action action_0, Delegate37 delegate37_1)
	{
		return delegate37_1(object_0, action_0);
	}

	public extern Delegate37(object object_0, IntPtr intptr_0);

	static Delegate37()
	{
		Class10.smethod_13(typeof(Delegate37).TypeHandle);
	}

	internal static Delegate37 delegate37_0;
}
